---
title: Download Worker Script
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Workers](https://developers.cloudflare.com/api/go/resources/workers)

[Scripts](https://developers.cloudflare.com/api/go/resources/workers/subresources/scripts)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Download Worker Script

client.Workers.Scripts.Get(ctx, scriptName, query) (\*string, error)

GET/accounts/{account\_id}/workers/scripts/{script\_name}

Fetch raw content for a Worker script. Note this is the original script content, not JSON encoded.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Tail Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

scriptName string

Name of the script.

[Link to this property](<#(resource)%20workers.scripts%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20script_name%20%3E%20(schema)>)

<details>

<summary>

query ScriptGetParams

</summary>

AccountID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20workers.scripts%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workers.scripts%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

type ScriptGetResponse string

[Link to this property](<#(resource)%20workers.scripts%20%3E%20(method)%20get%20%3E%20(network%20schema)>)

### Download Worker Script

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/workers"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  script, err := client.Workers.Scripts.Get(
    context.TODO(),
    "this-is_my_script-01",
    workers.ScriptGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", script)
}
```

##### Returns Examples